org.apache.fontbox.type1

## Interface Type1CharStringReader

All Known Implementing Classes:
  Type1Font

    public interface Type1CharStringReader

Something which can read Type 1 CharStrings, namely Type 1 and CFF fonts.

Author:
  John Hewson

### Method Summary

All Methods Instance Methods Abstract Methods
`Type1CharString` `getType1CharString(String name)` Returns the Type 1 CharString for the character with the given name.

### Method Detail

#### getType1CharString

    Type1CharString getType1CharString(String name)
                                throws IOException

Returns the Type 1 CharString for the character with the given name.

Parameters:
  `name` - the character name of the Type1 charstring
Returns:
  Type 1 CharString
Throws:
  `IOException` - if something went wrong